cascading.flow.planner.process

## Class ProcessEdge<Process extends ProcessModel>

- java.lang.Object
- - cascading.flow.planner.process.ProcessEdge<Process>

All Implemented Interfaces:
  Serializable

    public class ProcessEdge<Process extends ProcessModel>
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProcessEdge(ElementGraph sourceElementGraph, FlowElement flowElement, ElementGraph sinkElementGraph)`
`ProcessEdge(Process sourceProcess, FlowElement flowElement, Process sinkProcess)`
`ProcessEdge(Process sourceProcess, Process sinkProcess)`

### Method Summary

Methods
`void` `addEdgeAnnotation(Enum annotation)`
`void` `addEdgeAnnotation(String key, String value)`
`Map<String,String>` `getEdgeAnnotations()` Returns any edge annotations, or an empty immutable Map.
`FlowElement` `getFlowElement()`
`String` `getFlowElementID()`
`String` `getID()`
`Map<Integer,Fields>` `getResolvedKeyFields()`
`Map<Integer,Fields>` `getResolvedSortFields()`
`Map<Integer,Fields>` `getResolvedValueFields()`
`Set<Enum>` `getSinkAnnotations()`
`Set<Integer>` `getSinkExpectedOrdinals()`
`String` `getSinkProcessID()`
`Set<Enum>` `getSourceAnnotations()`
`String` `getSourceProcessID()`
`Set<Integer>` `getSourceProvidedOrdinals()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProcessEdge

    public ProcessEdge(Process sourceProcess,
               FlowElement flowElement,
               Process sinkProcess)

#### ProcessEdge

    public ProcessEdge(ElementGraph sourceElementGraph,
               FlowElement flowElement,
               ElementGraph sinkElementGraph)

#### ProcessEdge

    public ProcessEdge(Process sourceProcess,
               Process sinkProcess)

### Method Detail

#### getID

    public String getID()

#### getSourceProcessID

    public String getSourceProcessID()

#### getSinkProcessID

    public String getSinkProcessID()

#### getEdgeAnnotations

    public Map<String,String> getEdgeAnnotations()

Returns any edge annotations, or an empty immutable Map.

Use `addEdgeAnnotation(String, String)` to add edge annotations.

Returns:

#### addEdgeAnnotation

    public void addEdgeAnnotation(Enum annotation)

#### addEdgeAnnotation

    public void addEdgeAnnotation(String key,
                         String value)

#### getFlowElement

    public FlowElement getFlowElement()

#### getFlowElementID

    public String getFlowElementID()

#### getSinkExpectedOrdinals

    public Set<Integer> getSinkExpectedOrdinals()

#### getSourceProvidedOrdinals

    public Set<Integer> getSourceProvidedOrdinals()

#### getResolvedKeyFields

    public Map<Integer,Fields> getResolvedKeyFields()

#### getResolvedSortFields

    public Map<Integer,Fields> getResolvedSortFields()

#### getResolvedValueFields

    public Map<Integer,Fields> getResolvedValueFields()

#### getSinkAnnotations

    public Set<Enum> getSinkAnnotations()

#### getSourceAnnotations

    public Set<Enum> getSourceAnnotations()